com.gisgraphy.domain.valueobject

## Class GisFeatureDistanceFactory

- java.lang.Object
- - com.gisgraphy.domain.valueobject.GisFeatureDistanceFactory

-     public class GisFeatureDistanceFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisFeatureDistanceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.gisgraphy.domain.valueobject.GisFeatureDistance` | `fromAdm(Adm adm, Double distance)`
    `com.gisgraphy.domain.valueobject.GisFeatureDistance` | `fromCountry(Country country, Double distance)`
    `com.gisgraphy.domain.valueobject.GisFeatureDistance` | `fromGisFeature(GisFeature gisFeature, Double distance)`
    `com.gisgraphy.domain.valueobject.GisFeatureDistance` | `fromStreet(Street street, Double distance)`
    `void` | `updateFields(com.gisgraphy.domain.valueobject.GisFeatureDistance gisFeatureDistance, Class clazz)` update the calculated fields (GoogleMapUrl,YahooMapURL,CountryFlag,...)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### GisFeatureDistanceFactory

          public GisFeatureDistanceFactory()

  - ### Method Detail

    - #### fromGisFeature

          public com.gisgraphy.domain.valueobject.GisFeatureDistance fromGisFeature(GisFeature gisFeature,
                                                                           Double distance)

    - #### fromAdm

          public com.gisgraphy.domain.valueobject.GisFeatureDistance fromAdm(Adm adm,
                                                                    Double distance)

    - #### fromStreet

          public com.gisgraphy.domain.valueobject.GisFeatureDistance fromStreet(Street street,
                                                                       Double distance)

    - #### fromCountry

          public com.gisgraphy.domain.valueobject.GisFeatureDistance fromCountry(Country country,
                                                                        Double distance)

    - #### updateFields

          public void updateFields(com.gisgraphy.domain.valueobject.GisFeatureDistance gisFeatureDistance,
                          Class clazz)

      update the calculated fields (GoogleMapUrl,YahooMapURL,CountryFlag,...)

Copyright © 2015. All rights reserved.